## python-django-ical 1.7.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-ical.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-ical.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-ical"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-ical"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-django-ical (1.7.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Declare d/rules doesn't require root.
  * Bump dh compat to 13.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Oct 2020 20:55:46 +0200

python-django-ical (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Jun 2020 23:28:42 +0200

python-django-ical (1.7.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #962833).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 14 Jun 2020 23:54:53 +0200

=== debian/control ===
Source: python-django-ical
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.0
Homepage: https://github.com/jazzband/django-ical
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-django,
               python3-django-recurrence,
               python3-icalendar,
               python3-setuptools,
               python3-setuptools-scm
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-ical.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-ical

Package: python3-django-ical
Architecture: all
Depends: python3-django,
         python3-django-recurrence,
         python3-icalendar,
         ${misc:Depends},
         ${python3:Depends}
Description: iCalendar feeds for Django (Python 3)
 This module provides iCalendar feeds support in Django
 applications.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=django-ical
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstreamtestsuite
Depends: @, python3-setuptools, python3-setuptools-scm

=== debian/watch ===
version=4
https://github.com/jazzband/django-ical/releases .*/archive/(\d\S*)\.tar\.gz

## python-django-ical 1.8.3

=== debian/changelog ===
python-django-ical (1.8.3-2) unstable; urgency=medium

  * Rewrite package testing to avoid setup.py.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Aug 2022 22:46:20 +0200

python-django-ical (1.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 31 Jan 2022 10:23:10 +0100

python-django-ical (1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 15:55:09 +0100

python-django-ical (1.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 13 Jan 2022 08:54:01 +0100

python-django-ical (1.8.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Julien Puydt ]
  * Fix d/watch.
  * Bump standards-version to 4.6.0.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 28 Aug 2021 21:53:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jazzband/django-ical
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-django,
-               python3-django-recurrence,
-               python3-icalendar,
+               python3-django-recurrence <!nocheck>,
+               python3-icalendar <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	python3 tests.py

## python-django-ical 1.9.2

=== debian/changelog ===
python-django-ical (1.9.2-1) unstable; urgency=medium

  * Bump standards-version to 4.6.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 12:53:48 +0200

python-django-ical (1.8.3-4) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * d/rules: Stop using 'python3 setup.py test' to run test suite. Now it use
    unittest.

  [ Louis-Philippe Véronneau ]
  * d/control: build using all available python versions.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 03 Dec 2022 20:32:41 -0500

python-django-ical (1.8.3-3) unstable; urgency=medium

  * Fix d/watch.
  * Fix standards-version: 4.6.1 is the latest!

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Oct 2022 22:03:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: https://github.com/jazzband/django-ical
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
+               python3-all,
                python3-django,
                python3-django-recurrence <!nocheck>,
                python3-icalendar <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=django-ical
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
PYVERS = $(shell py3versions -s -v)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	$(foreach pyv, $(PYVERS), python$(pyv) -m unittest -v tests.main;)

=== debian/watch ===
version=4
https://github.com/jazzband/django-ical/tags .*/(\d\S*)\.tar\.gz
